utf16_counter Struct Reference

## Public Types

typedef size_t | value_type

## Static Public Member Functions

static value_type | low (value_type result, uint32_t)
static value_type | high (value_type result, uint32_t)

## Detailed Description

Definition at line 828 of file pugixml.cpp.

## Member Typedef Documentation

## value_type

typedef size_t utf16_counter::value_type

Definition at line 830 of file pugixml.cpp.

## Member Function Documentation

## high()

static value_type utf16_counter::high | ( | value_type | result,
|  | uint32_t |
| ) |  |

inline static

Definition at line 837 of file pugixml.cpp.

{
return result + 2;
}

## low()

static value_type utf16_counter::low | ( | value_type | result,
|  | uint32_t |
| ) |  |

inline static

Definition at line 832 of file pugixml.cpp.

{
return result + 1;
}

The documentation for this struct was generated from the following file:

- pugixml.cpp